## vte2.91 0.52.1

=== debian/changelog ===
vte2.91 (0.52.1-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/rules:
      + Use --without-pcre2
    - Add revert-pcre2.patch:
      + Revert changes that require PCRE2 since it's not in main
        (see MIR #163666)
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Apr 2018 13:58:05 -0400

vte2.91 (0.52.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete debian/xterm. Thanks Egmont Koblinger! (Closes: #889898)
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 09 Apr 2018 18:05:22 -0400

vte2.91 (0.52.0-1ubuntu2) bionic; urgency=medium

  * Restore 91_keep_fds.patch since gdebi still requires it (LP: #1756238)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 31 Mar 2018 16:56:28 -0400

vte2.91 (0.52.0-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/rules:
      + Use --without-pcre2
    - Add revert-pcre2.patch:
      + Revert changes that require PCRE2 since it's not in main
        (see MIR #163666)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming
  * Drop obsolete debian/xterm. Thanks Egmont Koblinger! (Closes: #889898)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Mar 2018 10:08:58 -0400

vte2.91 (0.52.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 17:59:23 -0400

vte2.91 (0.51.92-1) unstable; urgency=medium

  * New upstream release candidate
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 06 Mar 2018 09:43:13 -0500

vte2.91 (0.51.92-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/rules:
      + Use --without-pcre2
    - Add revert-pcre2.patch:
      + Revert changes that require PCRE2 since it's not in main
        (see MIR #163666)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming
  * Refresh patches

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Mar 2018 12:03:12 -0500

vte2.91 (0.51.90-1ubuntu1) bionic; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian (LP: #1744711). Remaining changes:
    - debian/rules:
      + Use --without-pcre2
    - Add revert-pcre2.patch:
      + Revert changes that require PCRE2 since it's not in main
        (see MIR #163666)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming
  * Dropped change, apparently hasn't been needed for years:
    - Add 91_keep_fds.patch:
      + Keep file descriptors open on vte_fork_pty()

   [ Egmont Koblinger ]
   * Update revert-pcre2.patch to apply against vte2.91 0.51.90

 -- Egmont Koblinger <egmont@gmail.com>  Fri, 16 Feb 2018 13:48:13 -0500

vte2.91 (0.51.90-1) experimental; urgency=medium

  * New upstream development release
  * Drop obsolete Build-Depends on gperf
  * debian/libvte-2.91-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 15 Feb 2018 12:32:07 -0500

vte2.91 (0.50.2-4) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 20 Jan 2018 17:59:32 -0500

vte2.91 (0.50.2-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

  [ Simon McVittie ]
  * Remove redundant Priority field for libvte-2.91-0-udeb, which now
    has the source package's default Priority

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 23:10:04 -0500

vte2.91 (0.50.2-2) unstable; urgency=medium

  * Rename /etc/profile.d/vte.sh → vte-2.91.sh in override_dh_auto_install.
    This avoids a build failure for binary-arch only builds.

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Nov 2017 21:50:58 +0100

vte2.91 (0.50.2-1) unstable; urgency=medium

  * New upstream release
  * Convert from cdbs to dh
  * Bump debhelper compat level to 10 for automatic dh-autoreconf
  * Use dh_missing to list uninstalled files
  * Change priority of libvte-2.91-0-udeb from extra to optional.
    The priority extra has been deprecated.
  * Refresh patches

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Nov 2017 19:34:21 +0100

vte2.91 (0.50.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 03 Oct 2017 10:56:14 -0400

vte2.91 (0.50.0-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Sep 2017 14:40:51 +0100

vte2.91 (0.49.92-1) unstable; urgency=medium

  * New upstream release
  * debian/libvte-2.91-0.symbols: Add new symbols
  * debian/copyright: Minor update

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Sep 2017 17:37:28 -0400

vte2.91 (0.48.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-depend on gperf
    - Bump minimum valac to 0.31.1
  * debian/libvte-2.91-0.symbols: Add new symbols
  * Drop fix-out-of-tree-build.patch: Fixed in new release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Aug 2017 20:04:21 -0400

vte2.91 (0.46.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 02 Jul 2017 01:18:29 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: vte2.91
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools (>= 0.10),
               libglib2.0-dev (>= 2.40.0),
               libpango1.0-dev (>= 1.22.0),
#               libpcre2-dev (>= 10.21),
               libgtk-3-dev (>= 3.20),
               libgnutls28-dev (>= 3.2.7),
               libxml2-utils,
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12),
               gettext,
               gtk-doc-tools,
               libgladeui-dev,
               intltool (>= 0.35),
               valac (>= 0.31.1)
Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc, libatk1.0-doc
Standards-Version: 4.1.4
Vcs-Bzr: lp:~ubuntu-desktop/vte/ubuntu-vte2.91
Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/vte/ubuntu-vte2.91
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
Homepage: https://wiki.gnome.org/Apps/Terminal/VTE

Package: libvte-2.91-0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libvte-2.91-common (>= ${source:Version})
Multi-Arch: same
Description: Terminal emulator widget for GTK+ 3.0 - runtime files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the runtime library, needed by programs using the
 VTE widget with GTK+ 3.0.

Package: libvte-2.91-0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Terminal emulator widget for GTK+ 3.0 - minimal runtime
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the minimal runtime library for GTK+ 3.0 needed
 by the Debian installer.

Package: gir1.2-vte-2.91
Architecture: any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: GObject introspection data for the VTE library
 This package contains introspection data for VTE, a terminal emulator
 widget for GTK+.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the VTE widget for GTK+ 3.0.

Package: libvte-2.91-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libvte-2.91-0 (= ${binary:Version}),
         gir1.2-vte-2.91 (= ${binary:Version}),
         libglib2.0-dev (>= 2.40.0),
         libpango1.0-dev (>= 1.22.0),
         libgtk-3-dev (>= 3.12.0),
#         libpcre2-dev (>= 10.21),
         zlib1g-dev,
         libgnutls28-dev (>= 3.2.7),
         libvte-2.91-common
Recommends: libvte-2.91-doc
Conflicts: libvte-2.90-dev
Multi-Arch: same
Description: Terminal emulator widget for GTK+ 3.0 - development files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains development files for the VTE library and its
 Python bindings. It is needed to develop and build programs using the
 VTE widget with GTK+ 3.0.

Package: libvte-2.91-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Terminal emulator widget for GTK+ 3.0 - common files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains internationalization files for the VTE library
 and common files for the GTK+ 3.x version.

Package: libvte-2.91-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Terminal emulator widget for GTK+ 3.0 - documentation
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains documentation files for the VTE library for GTK+
 3.x.

=== debian/rules ===
#!/usr/bin/make -f

LIB_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libvte-[0-9\.-]+)[[:space:]]*$$/\1/p' debian/control)
UDEB_PKG := $(LIB_PKG)-udeb

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

CONFFLAGS_deb = \
	--enable-glade-catalogue \
	--enable-gtk-doc \
	--enable-introspection \
	--without-pcre2 \
	--with-gnutls

CONFFLAGS_udeb = \
	--disable-gtk-doc \
	--without-pcre2 \
	--without-gnutls

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-deb -- $(CONFFLAGS_deb)
	dh_auto_configure --builddirectory=build-udeb -- $(CONFFLAGS_udeb)

override_dh_auto_build:
	dh_auto_build --builddirectory=build-deb
	dh_auto_build --builddirectory=build-udeb

override_dh_auto_install:
	dh_auto_install --builddirectory=build-deb \
		--destdir=debian/tmp/deb
	dh_auto_install --builddirectory=build-udeb \
		--destdir=debian/tmp/udeb
	mv debian/tmp/deb/etc/profile.d/vte.sh \
		debian/tmp/deb/etc/profile.d/vte-2.91.sh

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-deb
	dh_auto_clean --builddirectory=build-udeb

override_dh_clean:
	dh_clean
	rm -f src/app.c

override_dh_auto_test:
	dh_auto_test --builddirectory=build-deb

override_dh_makeshlibs:
	dh_makeshlibs -p$(LIB_PKG) --add-udeb=$(UDEB_PKG) -V -- -c4
	dh_makeshlibs --remaining-packages

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install -p$(UDEB_PKG) --sourcedir=debian/tmp/udeb
	dh_install --remaining --sourcedir=debian/tmp/deb

override_dh_missing:
	dh_missing --list-missing

## vte2.91 0.52.2

=== debian/changelog ===
vte2.91 (0.52.2-1ubuntu1~18.04.2) bionic; urgency=medium

  * Revert the changes to revert-pcre2.patch in the previous SRU since they
    introduced API incompatibilies which aren't OK in an SRU (LP: #1780501).

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 16 Jul 2018 18:37:09 +0100

vte2.91 (0.52.2-1ubuntu1~18.04.1) bionic; urgency=medium

  * debian/{gbp.conf,control{,.in}}: Update for bionic.
  * Backport from cosmic to bionic.

 -- Iain Lane <laney@debian.org>  Wed, 30 May 2018 13:19:02 +0100

vte2.91 (0.52.2-1ubuntu1) cosmic; urgency=medium

  [ Iain Lane ]
  * Merge with Debian. Remaining changes:
    - debian/rules:
      + Use --without-pcre2
    - Add revert-pcre2.patch:
      + Revert changes that require PCRE2 since it's not in main
        (see MIR #163666)
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming
  * debian/gbp.conf: Update for Ubuntu

   [ Rico Tzschichholz ]
   * revert-pcre2.patch:
     - Don't revert unrelated g-i annotation changes to avoid unnecessary
       gir/vapi API changes compared to upstream (LP: #1765389)
  * revert-pcre2.patch: Refresh, fix a conflict.
  * debian/control{,.in}: Update Vcs-* for LP git

 -- Iain Lane <laney@debian.org>  Wed, 30 May 2018 13:09:28 +0100

vte2.91 (0.52.2-1) unstable; urgency=medium

  [ Iain Lane ]
  * New upstream release 0.52.2 (LP: #1774167):
    + [5966e8b] ring: Proper boundary checking for hyperlink position.
      This fixes a rare crash around hyperlinks in a non grid aligned VTE
      widget when the mouse enters the extra padding at the bottom. (LP:
      #1772506)
    + [7322c27] all: Fix spelling

 -- Iain Lane <laney@debian.org>  Wed, 30 May 2018 11:57:52 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.10),
                libglib2.0-dev (>= 2.40.0),
@@ -25,8 +25,8 @@
                valac (>= 0.31.1)
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc, libatk1.0-doc
 Standards-Version: 4.1.4
-Vcs-Bzr: lp:~ubuntu-desktop/vte/ubuntu-vte2.91
-Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/vte/ubuntu-vte2.91
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91/+git/vte2.91/+ref/ubuntu/bionic
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91 -b ubuntu/bionic
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE

=== debian/watch ===
version=4
https://download.gnome.org/sources/vte/([\d\.]+[02468])/ \
	vte@ANY_VERSION@\.tar\.xz

## vte2.91 0.54.1

=== debian/changelog ===
vte2.91 (0.54.1-1ubuntu1) cosmic; urgency=medium

  * Merge with debian (LP: #1796422). Remaining changes:
    - debian/rules:
      + Use --without-pcre2
    - Add revert-pcre2.patch:
      + Revert changes that require PCRE2 since it's not in main
        (see MIR #1636666)
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming

 -- Iain Lane <iain.lane@canonical.com>  Wed, 10 Oct 2018 17:44:18 +0100

vte2.91 (0.54.1-1) unstable; urgency=medium

  * Team upload
  * d/copyright: Update
  * New upstream release
    - Fixes a crash on repeated encoding changes (Closes: #910208)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Oct 2018 10:20:37 +0100

vte2.91 (0.54.0-1ubuntu1) cosmic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Merge with debian (LP: #1791373). Remaining changes:
    - debian/rules:
      + Use --without-pcre2
    - Add revert-pcre2.patch:
      + Revert changes that require PCRE2 since it's not in main
        (see MIR #1636666)
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming
  * Rebased debian/patches
    + d/p/revert-pcre2.patch:
      - Updated to work with Terminal class

  [ Iain Lane ]
  * 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch: Add an
    upstream bug reference.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 12 Sep 2018 15:29:35 +0100

vte2.91 (0.54.0-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * Update symbols file

  [ Jeremy Bicha ]
  * Update debian/gbp.conf
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 08 Sep 2018 10:36:42 -0400

vte2.91 (0.53.0-1) experimental; urgency=medium

  * Team upload
  * New upstream development release
  * d/watch: Watch for development versions
  * d/copyright: Update
  * Set Rules-Requires-Root to no
  * Stop installing AUTHORS file, which just points to git history
  * Stop installing README, which no longer exists
  * Standards-Version: 4.2.0
  * Refresh patch series
  * d/libvte-2.91-0.symbols: Ignore C++ symbols.
    These are template instantiations, and are not part of vte's
    public ABI.

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Aug 2018 11:17:41 +0100

=== debian/control ===
--- 
+++ 
@@ -23,10 +23,11 @@
                libgladeui-dev,
                intltool (>= 0.35),
                valac (>= 0.31.1)
+Rules-Requires-Root: no
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc, libatk1.0-doc
-Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91/+git/vte2.91/+ref/ubuntu/bionic
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91 -b ubuntu/bionic
+Standards-Version: 4.2.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE

## vte2.91 0.54.2

=== debian/changelog ===
vte2.91 (0.54.2-2~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 15 Sep 2020 12:10:14 -0700

vte2.91 (0.54.2-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 19:41:38 -0500

vte2.91 (0.54.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Standards-Version: 4.2.1
  * Normalize dependency lists (wrap-and-sort -a)
  * Normalize installed file lists (wrap-and-sort -a)
  * Add a compile/link/execute autopkgtest

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Nov 2018 14:02:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,40 @@
 # This file is autogenerated. DO NOT EDIT!
-#
+# 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: vte2.91
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 11),
+               gettext,
                gnome-pkg-tools (>= 0.10),
+               gobject-introspection (>= 0.9.12-4~),
+               gtk-doc-tools,
+               intltool (>= 0.35),
+               libgirepository1.0-dev (>= 0.9.12),
+               libgladeui-dev,
                libglib2.0-dev (>= 2.40.0),
+               libgnutls28-dev (>= 3.2.7),
+               libgtk-3-dev (>= 3.20),
                libpango1.0-dev (>= 1.22.0),
-#               libpcre2-dev (>= 10.21),
-               libgtk-3-dev (>= 3.20),
-               libgnutls28-dev (>= 3.2.7),
+               libpcre2-dev (>= 10.21),
                libxml2-utils,
-               gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.12),
-               gettext,
-               gtk-doc-tools,
-               libgladeui-dev,
-               intltool (>= 0.35),
                valac (>= 0.31.1)
 Rules-Requires-Root: no
-Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc, libatk1.0-doc
-Standards-Version: 4.2.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
+Build-Depends-Indep: libatk1.0-doc, libglib2.0-doc, libgtk-3-doc
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
+Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libvte-2.91-common (>= ${source:Version})
+Depends: libvte-2.91-common (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for
@@ -51,8 +49,7 @@
 Package-Type: udeb
 Section: debian-installer
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Terminal emulator widget for GTK+ 3.0 - minimal runtime
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK+ toolkit. It also provides the VtePTY object
@@ -65,8 +62,7 @@
 Package: gir1.2-vte-2.91
 Architecture: any
 Section: introspection
-Depends: ${gir:Depends},
-         ${misc:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: GObject introspection data for the VTE library
  This package contains introspection data for VTE, a terminal emulator
@@ -78,16 +74,16 @@
 Package: libvte-2.91-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: gir1.2-vte-2.91 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.40.0),
+         libgnutls28-dev (>= 3.2.7),
+         libgtk-3-dev (>= 3.12.0),
+         libpango1.0-dev (>= 1.22.0),
+         libpcre2-dev (>= 10.21),
          libvte-2.91-0 (= ${binary:Version}),
-         gir1.2-vte-2.91 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.40.0),
-         libpango1.0-dev (>= 1.22.0),
-         libgtk-3-dev (>= 3.12.0),
-#         libpcre2-dev (>= 10.21),
+         libvte-2.91-common,
          zlib1g-dev,
-         libgnutls28-dev (>= 3.2.7),
-         libvte-2.91-common
+         ${misc:Depends}
 Recommends: libvte-2.91-doc
 Conflicts: libvte-2.90-dev
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 UDEB_PKG := $(LIB_PKG)-udeb
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gnome,gir
@@ -16,12 +16,10 @@
 	--enable-glade-catalogue \
 	--enable-gtk-doc \
 	--enable-introspection \
-	--without-pcre2 \
 	--with-gnutls
 
 CONFFLAGS_udeb = \
 	--disable-gtk-doc \
-	--without-pcre2 \
 	--without-gnutls
 
 override_dh_auto_configure:
@@ -62,3 +60,6 @@
 
 override_dh_missing:
 	dh_missing --list-missing
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## vte2.91 0.54.2mint1%2Bdebbie

=== debian/changelog ===
vte2.91 (0.54.2mint1+debbie) debbie; urgency=medium

  * Native source format
  * Add style to allow transparent terminal

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 24 Jan 2020 11:05:34 +0000

=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,3 @@
 
 override_dh_missing:
 	dh_missing --list-missing
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## vte2.91 0.54.2mint1+debbie

=== debian/watch ===
version=4
https://download.gnome.org/sources/vte/([\d\.]+)/ \
	vte@ANY_VERSION@\.tar\.xz

## vte2.91 0.54.2pearl10

=== debian/changelog ===
vte2.91 (0.54.2pearl10) buster; urgency=medium

  * Initial Pearl build for 10

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 05 Mar 2021 11:05:34 +0000

## vte2.91 0.56.1

=== debian/changelog ===
vte2.91 (0.56.1-1ubuntu1) disco; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming

 -- Iain Lane <iain.lane@canonical.com>  Tue, 09 Apr 2019 13:12:11 +0100

vte2.91 (0.56.1-1) experimental; urgency=medium

  * New upstream release
    + widget: Cancel autoscroll on ending selecting

 -- Iain Lane <laney@debian.org>  Tue, 09 Apr 2019 13:10:42 +0100

vte2.91 (0.56.0-1ubuntu1) disco; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Mar 2019 18:54:42 -0400

vte2.91 (0.56.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Mar 2019 18:53:20 -0400

vte2.91 (0.55.90-1ubuntu1) disco; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 06 Feb 2019 09:15:43 -0500

vte2.91 (0.55.90-1) experimental; urgency=medium

  * New upstream development release
  * debian/libvte-2.91-0.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 09:12:59 -0500

vte2.91 (0.54.2-2ubuntu2) disco; urgency=medium

  * Build with pcre2 support instead of older pcre3 (LP: #1636666)
  * Drop revert-pcre2.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Jan 2019 09:26:46 -0500

vte2.91 (0.54.2-2ubuntu1) disco; urgency=medium

  * Merge with debian. Remaining changes:
    - debian/rules:
      + Use --without-pcre2
    - Add revert-pcre2.patch:
      + Revert changes that require PCRE2 since it's not in main
        (see MIR #1636666)
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming
  * Refresh patches

 -- Iain Lane <iain.lane@canonical.com>  Fri, 11 Jan 2019 12:17:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: vte2.91
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11),
                gettext,
                gnome-pkg-tools (>= 0.10),
@@ -24,10 +24,14 @@
                libxml2-utils,
                valac (>= 0.31.1)
 Rules-Requires-Root: no
-Build-Depends-Indep: libatk1.0-doc, libglib2.0-doc, libgtk-3-doc
+Build-Depends-Indep: libatk1.0-doc,
+                     libglib2.0-doc,
+                     libgtk-3-doc
 Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
 
 Package: libvte-2.91-0
@@ -49,7 +53,8 @@
 Package-Type: udeb
 Section: debian-installer
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Terminal emulator widget for GTK+ 3.0 - minimal runtime
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK+ toolkit. It also provides the VtePTY object
@@ -62,7 +67,8 @@
 Package: gir1.2-vte-2.91
 Architecture: any
 Section: introspection
-Depends: ${gir:Depends}, ${misc:Depends}
+Depends: ${gir:Depends},
+         ${misc:Depends}
 Multi-Arch: same
 Description: GObject introspection data for the VTE library
  This package contains introspection data for VTE, a terminal emulator

## vte2.91 0.56.2

=== debian/changelog ===
vte2.91 (0.56.2-1ubuntu1~19.04.1) disco; urgency=medium

  * Backport bugfix release to disco (LP: #1827207)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 01 May 2019 13:15:42 +0100

vte2.91 (0.56.2-1ubuntu1) eoan; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add 91_keep_fds.patch since gdebi still requires it
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming
  * Refresh patches

 -- Iain Lane <iain.lane@canonical.com>  Wed, 01 May 2019 12:54:25 +0100

vte2.91 (0.56.2-1) experimental; urgency=medium

  * New upstream bugfix release

 -- Iain Lane <laney@debian.org>  Wed, 01 May 2019 12:31:17 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                      libgtk-3-doc
 Standards-Version: 4.3.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91 -b ubuntu/disco
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE

## vte2.91 0.56.3

=== debian/changelog ===
vte2.91 (0.56.3-1) experimental; urgency=medium

  * New upstream bugfix release

 -- Iain Lane <laney@debian.org>  Fri, 10 May 2019 17:55:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: vte2.91
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11),
                gettext,
@@ -28,10 +27,8 @@
                      libglib2.0-doc,
                      libgtk-3-doc
 Standards-Version: 4.3.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91 -b ubuntu/disco
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
+Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
 
 Package: libvte-2.91-0

## vte2.91 0.58.2

=== debian/changelog ===
vte2.91 (0.58.2-1ubuntu2) eoan; urgency=medium

  * No-change rebuild to avoid ABI dependency on now-removed glib2.0

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 14 Oct 2019 02:15:55 -0600

vte2.91 (0.58.2-1ubuntu1) eoan; urgency=medium

  * Merge with Debian (LP: #1847850). Remaining changes:
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 12 Oct 2019 08:18:36 -0400

vte2.91 (0.58.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 Oct 2019 06:40:57 -0400

vte2.91 (0.58.1-1) unstable; urgency=medium

  * New upstream release
    - Update Persian translation
    - emulation: Ensure the cursor remains onscreen when moving down
    - widget: Don't scroll to bottom on keystroke in read-only mode
  * Drop obsolete Build-Depends on gnome-pkg-tools

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 09 Oct 2019 20:37:01 -0400

vte2.91 (0.58.0-1ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    - debian/rules:
      + Use --without-pcre2
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming

 -- Iain Lane <iain.lane@canonical.com>  Thu, 12 Sep 2019 11:44:50 +0100

vte2.91 (0.58.0-1) unstable; urgency=medium

  * New upstream release

 -- Iain Lane <laney@debian.org>  Thu, 12 Sep 2019 11:40:08 +0100

vte2.91 (0.57.90-2) experimental; urgency=medium

  * Team upload
  * Don't do the udeb build if we are not building any udebs
    (Closes: #935788)
  * Don't build the udeb under the noudeb build-profile
  * Standards-Version: 4.4.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Aug 2019 10:35:17 +0100

vte2.91 (0.57.90-1ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    - debian/rules:
      + Use --without-pcre2
    - Add revert-pcre2.patch:
      + Revert changes that require PCRE2 since it's not in main
        (see MIR #1636666)
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming

 -- Iain Lane <iain.lane@canonical.com>  Wed, 21 Aug 2019 16:08:37 +0100

vte2.91 (0.57.90-1) experimental; urgency=medium

  * debian/watch: Find unstable versions
  * New upstream release
  * control, rules, install: Update for meson and DH 12. The glade catalog
    files have been dropped, and the static library is no longer created.
  * pthread-vs-nostdlib.patch: Drop, not needed with meson
  * rules: Don't install the demo program
  * libvte-2.91-0.symbols: Update with new symbols

 -- Iain Lane <laney@debian.org>  Wed, 21 Aug 2019 15:45:12 +0100

vte2.91 (0.56.3-1ubuntu1) eoan; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add 91_keep_fds.patch since gdebi still requires it
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming

 -- Iain Lane <iain.lane@canonical.com>  Mon, 13 May 2019 07:22:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,32 @@
 Source: vte2.91
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
+               dh-sequence-gir,
                gettext,
-               gnome-pkg-tools (>= 0.10),
-               gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools,
-               intltool (>= 0.35),
                libgirepository1.0-dev (>= 0.9.12),
-               libgladeui-dev,
                libglib2.0-dev (>= 2.40.0),
                libgnutls28-dev (>= 3.2.7),
                libgtk-3-dev (>= 3.20),
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
                libxml2-utils,
+               meson (>= 0.49.0),
                valac (>= 0.31.1)
 Rules-Requires-Root: no
 Build-Depends-Indep: libatk1.0-doc,
                      libglib2.0-doc,
                      libgtk-3-doc
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
+Standards-Version: 4.4.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/vte2.91
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
 
 Package: libvte-2.91-0
@@ -48,6 +50,7 @@
 
 Package: libvte-2.91-0-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: any
 Depends: ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

binaries := $(shell dh_listpackages)
LIB_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libvte-[0-9\.-]+)[[:space:]]*$$/\1/p' debian/control)
UDEB_PKG := $(LIB_PKG)-udeb

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

CONFFLAGS_deb = \
	-Ddocs=true \
	-Dgir=true \
	-Dgnutls=true

CONFFLAGS_udeb = \
	-Ddocs=false \
	-Dgir=false \
	-Dgnutls=false \
	-Dvapi=false

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-deb -- $(CONFFLAGS_deb)
ifneq ($(filter %-udeb,$(binaries)),)
	dh_auto_configure --builddirectory=build-udeb -- $(CONFFLAGS_udeb)
endif

override_dh_auto_build:
	dh_auto_build --builddirectory=build-deb
ifneq ($(filter %-udeb,$(binaries)),)
	dh_auto_build --builddirectory=build-udeb
endif

override_dh_auto_install:
	dh_auto_install --builddirectory=build-deb \
		--destdir=debian/tmp/deb
	rm debian/tmp/deb/usr/bin/vte-2.91
ifneq ($(filter %-udeb,$(binaries)),)
	dh_auto_install --builddirectory=build-udeb \
		--destdir=debian/tmp/udeb
	rm debian/tmp/udeb/usr/bin/vte-2.91
endif
	mv debian/tmp/deb/etc/profile.d/vte.sh \
		debian/tmp/deb/etc/profile.d/vte-2.91.sh

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-deb
ifneq ($(filter %-udeb,$(binaries)),)
	dh_auto_clean --builddirectory=build-udeb
endif

override_dh_auto_test:
	dh_auto_test --builddirectory=build-deb

override_dh_makeshlibs:
	dh_makeshlibs -p$(LIB_PKG) --add-udeb=$(UDEB_PKG) -V -- -c4
	dh_makeshlibs --remaining-packages

override_dh_install:
ifneq ($(filter %-udeb,$(binaries)),)
	dh_install -p$(UDEB_PKG) --sourcedir=debian/tmp/udeb
endif
	dh_install --remaining-packages --sourcedir=debian/tmp/deb

override_dh_missing:
	dh_missing --fail-missing

## vte2.91 0.59.91

=== meson_options.txt ===
# Copyright © 2018, 2019 Iñigo Martínez
#
# This library is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
# General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <https://www.gnu.org/licenses/>.

# This option allows you to disable -Bsymbolic-functions if your linker
# doesn't support it.
option(
  '_b_symbolic_functions',
  type: 'boolean',
  value: true,
  description: 'Use -Bsymbolic-functions',
)

option(
  'a11y',
  type: 'boolean',
  value: true,
  description: 'Enable a11y',
)

option(
  'debugg', # for some reason, 'debug' is "reserved"
  type: 'boolean',
  value: false,
  description: 'Enable extra debugging functionality',
)

option(
  'docs',
  type: 'boolean',
  value: false,
  description: 'Enable documentation',
)

option(
  'gir',
  type: 'boolean',
  value: true,
  description: 'Enable GObject Introspection',
)

option(
  'fribidi',
  type: 'boolean',
  value: true,
  description: 'Enable FriBidi support',
)

option(
  'gnutls',
  type: 'boolean',
  value: true,
  description: 'Enable GNUTLS support',
)

option(
  'gtk3',
  type: 'boolean',
  value: true,
  description: 'Enable GTK+ 3.0 widget',
)

option(
  'gtk4',
  type: 'boolean',
  value: false,
  description: 'Enable GTK+ 4.0 widget',
)

option(
  'icu',
  type: 'boolean',
  value: true,
  description: 'Enable legacy charset support using ICU',
)

option(
  'vapi', # would use 'vala' but that name is reserved
  type: 'boolean',
  value: true,
  description: 'Enable Vala bindings',
)

=== debian/changelog ===
vte2.91 (0.59.91-0ubuntu1) focal; urgency=medium

  * New upstream release
  * debian/control:
    - Bump build-depends on libglib2.0-dev
    - Add build-depends on libsystemd-dev, libicu-dev
  * libvte-2.91-0.symbols:
    - Updated with new symbols

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 20 Feb 2020 11:19:41 +1300

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,17 @@
                dh-sequence-gnome,
                dh-sequence-gir,
                gettext,
+               gnome-pkg-tools (>= 0.10),
+               gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools,
                libgirepository1.0-dev (>= 0.9.12),
-               libglib2.0-dev (>= 2.40.0),
+               libglib2.0-dev (>= 2.52.0),
                libgnutls28-dev (>= 3.2.7),
                libgtk-3-dev (>= 3.20),
+               libicu-dev,
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
+               libsystemd-dev (>= 220),
                libxml2-utils,
                meson (>= 0.49.0),
                valac (>= 0.31.1)

## vte2.91 0.60.1

=== debian/changelog ===
vte2.91 (0.60.1-1ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 09 Apr 2020 22:00:56 +0200

vte2.91 (0.60.1-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
    - vte.csh: Fix behavior if VTE_VERSION is undefined
    - Fix g-i bindings for VtePty
    - Fix a regression for terminals that have no pty, for example in
      qemu (LP: #1868116)

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Mar 2020 09:55:25 +0000

vte2.91 (0.60.0-2ubuntu2) focal; urgency=medium

  * debian/libvte-2.91-0.install
    - Dropped files duplicated in libvte-2.91-common
  * debian/control.in
    - Add appropriate Breaks/Replaces for moved files.

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 27 Mar 2020 16:07:28 -0400

vte2.91 (0.60.0-2ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming
    - git-no-pty-fix.patch (LP: #1868116)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 27 Mar 2020 12:26:15 -0400

vte2.91 (0.60.0-2) unstable; urgency=medium

  * debian/rules: Fix FTBFS when only building arch:all packages
  * debian/control.in: Mark the -doc package with Build-Profiles: <!nodoc>

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Mar 2020 13:20:12 +0100

vte2.91 (0.60.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control.in: Adjust the build-dependencies
    - debian/libvte-2.91-0.symbols: Add newly exported symbols
  * debian/rules: Disable systemd support in the udeb
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Switch libvte-2.91-common to arch:any and install new vte-urlencode-cwd
    helper executable and systemd config file

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Mar 2020 12:21:26 +0100

vte2.91 (0.58.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Standards-Version: 4.4.1 (no changes required)
  * Mark -doc package as Multi-Arch: foreign
  * d/tests/build: Fix shellcheck warnings
  * d/tests/build: Make cross-test friendly

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Dec 2019 18:35:43 +0000

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,8 @@
 	-Ddocs=false \
 	-Dgir=false \
 	-Dgnutls=false \
-	-Dvapi=false
+	-Dvapi=false \
+	-D_systemd=false
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build-deb -- $(CONFFLAGS_deb)
@@ -41,6 +42,7 @@
 	dh_auto_install --builddirectory=build-udeb \
 		--destdir=debian/tmp/udeb
 	rm debian/tmp/udeb/usr/bin/vte-2.91
+	rm debian/tmp/udeb/usr/libexec/vte-urlencode-cwd
 endif
 	mv debian/tmp/deb/etc/profile.d/vte.sh \
 		debian/tmp/deb/etc/profile.d/vte-2.91.sh
@@ -51,6 +53,11 @@
 	dh_auto_clean --builddirectory=build-udeb
 endif
 
+override_dh_clean:
+	rm -f debian/libvte-2.91-common.install.kfreebsd
+	rm -f debian/libvte-2.91-common.install.hurd
+	dh_clean
+
 override_dh_auto_test:
 	dh_auto_test --builddirectory=build-deb
 
@@ -59,6 +66,8 @@
 	dh_makeshlibs --remaining-packages
 
 override_dh_install:
+	grep -E -v 'lib/systemd' debian/libvte-2.91-common.install > debian/libvte-2.91-common.install.kfreebsd
+	grep -E -v 'lib/systemd' debian/libvte-2.91-common.install > debian/libvte-2.91-common.install.hurd
 ifneq ($(filter %-udeb,$(binaries)),)
 	dh_install -p$(UDEB_PKG) --sourcedir=debian/tmp/udeb
 endif
